Publisher ad spaces

  • Updated

The list of publisher’s ad spaces

Parameters

HTTP method Access rights URL Parameters Note
GET websites https://api.admitad.com/websites/v2/
  • status*
  • campaign_status**
Returns the list of ad spaces.*
GET websites https://api.admitad.com/websites/v2/{id}/   Returns the ad space, where id is ad space identifier.*
  • *** Filter by the ad space status. Possible values:
    • new
    • active
    • suspended
  • *** Filter by the status of cooperation with the ad space. Possible values:
    • pending
    • active
    • declined
    • disabled

Example of use

Example of a request with utility ``curl``:


curl -L -H 'Authorization: Bearer access-token' -X GET https://api.admitad.com/websites/v2/


Example of the response from the API server in the JSON format:


[

    {

        "status": "active",

        "kind": "website",

        "is_old": true,

        "account_id": "",

        "verification_code": "59505879f5",

        "creation_date": "2010-03-31T18:25:19",

        "id": 22,

        "site_url": "http://www.test.ru/",

        "validation_passed": false,

        "name": "Site 1",

        "is_lite": false

    },

    {

        "status": "active",

        "kind": "",

        "is_old": true,

        "account_id": "",

        "verification_code": "bc76d01ad4",

        "creation_date": "2010-03-31T18:25:38",

        "id": 23,

        "site_url": "http://www.test.ru/",

        "validation_passed": false,

        "name": "Site 2",

        "is_lite": false

    }

]


Description of API server response fields

Name Description
id Ad space ID
name Name of ad space
status Ad space status
creation_date Ad space creation date
site_url Ad space website
verification_code Verification code
validation_passed Indicator for successful validation
is_old Old-type indicator
account_id Account identifier
is_lite Whether this is a Lite ad space
kind Types of ad spaces

Was this article helpful?

0 out of 0 found this helpful

Have more questions? Submit a request